    # Default language is german
    lang = "de"
    
    LANG_LIST = [ ("English", "en"), ("German", "de"), ("Spanish", "es"), ("Italian", "it"), ("French", "fr"), ("中文", "zh") ]
    
    # List of days of the week
    DAY_LIST = [ ("Monday","Tuesday","Wednesday","Thursday","Friday","Saturday","Sunday"),
                 ("Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag","Sonntag"),
                 ("Lunes","Martes","Miercoles","Jueves","Viernes","Sabado","Domingo"),
                 ("Lunedi","Martedi","Mercoledi","Giovedi","Venerdi","Sabato","Domenica"),
                 ("Lundi","Mardi","Mecredi","Jeudi","Vendredi","Samedi","Dimanche"),
                 ("星期一", "星期二", "星期三", "星期四", "星期五", "星期六", "星期日") ]
    
    # List of weekday abbreviations
    DAY_ABBR_LIST = [ ("Mon","Tue","Wed","Thu","Fri","Sat","Sun"),
                      ("Mo","Di","Mi","Do","Fr","Sa","So"),
                      ("Lu","Ma","Mi","Ju","Vi","Sa","Do"),
                      ("Lun","Mar","Mer","Gio","Ven","Sam","Dom"),
                      ("Lun","Mar","Mer","Jeu","Ven","Sam","Dim"),
                      ("一", "二", "三", "四", "五", "六", "日") ]
    
    # List of months
    MONTH_LIST = [ ("","January","February","March","April","May","June","July","August","September","October","November","December"), 
                   ("","Januar","Februar","M&#xe4;rz","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember"),
                   ("","Enero","Febrero","Marzo","Abril","Mayo","Juno","Julio","Agosto","Septiembre","Octobre","Noviembre","Diciembre"),
                   ("","Gennaio","Febbraio","Marzo","Aprile","Maggio","Giugno","Luglio","Agosto","Settembre","Ottobre","Novembre","Dicembre"),
                   ("","Janvier","Fevrier","Mars","Avril","Mai","Juin","Juillet","Aouts","Septembre","Octobre","Novembre","Decembre"),("","一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月") ]
    
    # Load the language options into the dropdown list box
    Prefs.language.items = [ name for name in LANG_LIST ]
    
    # This wants an integer (0-6)
    # Returns (Monday-Sunday) in the language set
    def day_i18n(day_no):
        for i in range( len(LANG_LIST) ):
            if lang == LANG_LIST[i][1]: return DAY_LIST[i][day_no]
        # If for some reason there's a failure
        return ""
    
    # This wants an integer (0-6)
    # Returns (Mo-Su) in the language set
    def day_abbr_i18n(day_no):
        for i in range( len(LANG_LIST) ):
            if lang == LANG_LIST[i][1]: return DAY_ABBR_LIST[i][day_no]
        # If for some reason there's a failure
        return ""

    # This wants an integer (1-12)
    # Returns (January-December) in the language set
    def month_i18n(month_no):
        for i in range( len(LANG_LIST) ):
            if lang == LANG_LIST[i][1]: return MONTH_LIST[i][month_no]
        # If for some reason there's a failure
        return ""

    def translate(day_name):
        for i in range( len(DAY_LIST) ):
            for j in range( 7 ):
                if day_name == DAY_LIST[i][j]:
                    for k in range( len(LANG_LIST) ):
                        if lang == LANG_LIST[k][1]:
                            return DAY_LIST[k][j]
