def set_config(key, value):
	if key == "gauge_width" or key == "gauge_height":
		set_gaugesize()
		set_positions()
		
	if key == "text_padding" or key == "text_position" or key == "text_align":
		set_textsize()
		set_positions()
		
	if key == "text_width" or key == "Show_title" or key == "show_l1" or key == "show_l2":
		set_textsize()
	
	if key == "Dsp.title.font" or key == "Dsp.label_1.font" or key == "Dsp.label_2.font":
		set_textsize()
	
	if key == "show_title" or key == "show_l1" or key == "show_l2":
		get_data()
		set_textsize()
		
	if key == "bg_alpha" or key == "glass_alpha" or key == "frame_color":
		draw_decorations()
	if key == "markers_small_color" or key == "markers_big_color" or key == "dot_color":
		draw_decorations()	
		
	if key[:7] == "desktop":
			set_desktop()	
			
			
def set_positions():
	global text_padding, text_position, text_align, gauge_width, gauge_height, text_width, text_height

	if text_align == "top":
		
		Dsp.labels.anchor = "n"
		Dsp.labels.x = Unit(50, PERCENT)
		Dsp.labels.y = Unit(0, PX)
		
		Dsp.title.anchor = "n"
		Dsp.title.x = Unit(50, PERCENT)
		Dsp.label_1.anchor = "n"
		Dsp.label_1.y = Unit(text_padding, PX)
		Dsp.label_2.anchor = "n"
		Dsp.label_2.y = Unit(text_padding, PX)
		
		set_gaugepos("n", Unit(50, PERCENT), Unit(text_position, PX) + text_height)
		
	if text_align == "bottom":
		
		Dsp.labels.anchor = "n"
		Dsp.labels.x = Unit(50, PERCENT)
		Dsp.labels.y = Unit(text_position + gauge_height, PX)
		
		Dsp.title.anchor = "n"
		Dsp.title.x = Unit(50, PERCENT)
		Dsp.label_1.anchor = "n"
		Dsp.label_1.y = Unit(text_padding, PX)
		Dsp.label_2.anchor = "n"
		Dsp.label_2.y = Unit(text_padding, PX)
		
		set_gaugepos("n", Unit(50, PERCENT), Unit(0, PX))
		
	if text_align == "right":
		
		Dsp.labels.anchor = "w"
		Dsp.labels.x = Unit(text_position + gauge_width, PX)
		Dsp.labels.y = Unit(50, PERCENT)
		
		Dsp.title.anchor = "nw"
		Dsp.title.x = Unit(0, PX)
		Dsp.label_1.anchor = "nw"
		Dsp.label_1.y = Unit(text_padding, PX)
		Dsp.label_2.anchor = "nw"
		Dsp.label_2.y = Unit(text_padding, PX)
		
		set_gaugepos("w", Unit(0, PX), Unit(50, PERCENT))
		
	if text_align == "left":
		
		Dsp.labels.anchor = "w"
		Dsp.labels.x = Unit(0, PX)
		Dsp.labels.y = Unit(50, PERCENT)
		
		Dsp.title.anchor = "ne"
		Dsp.title.x = Unit(100, PERCENT)
		Dsp.label_1.anchor = "ne"
		Dsp.label_1.y = Unit(text_padding, PX)
		Dsp.label_2.anchor = "ne"
		Dsp.label_2.y = Unit(text_padding, PX)
		
		set_gaugepos("w", Unit(text_position + text_width, PX), Unit(50, PERCENT))
		
	set_display()
		
def set_display():
	global gauge_width, gauge_height, text_align, text_position, text_width, text_height

	mw = 0
	mh = Unit(0, PX)
		
	if text_align == "bottom":
		mh = Unit(gauge_height + text_position, PX) + text_height
	if text_align == "top":
	 	mh = Unit(gauge_height + text_position, PX) + text_height
	if text_align == "right":
		mw = gauge_width + text_position + text_width
	if text_align == "left":		
		mw = gauge_width + text_position + text_width
		
	if mh < Unit(gauge_height, PX): mh = Unit(gauge_height, PX)
	if mh < text_height: mh = text_height
	if mw < gauge_width: mw = gauge_width
	if mw < text_width: mw = text_width
				
	Dsp.main.width = Unit(mw + 2, PX)
	Dsp.main.height = mh + Unit(2, PX)

def set_textsize():
	global text_width, text_height
	Dsp.labels.width = Unit(text_width, PX)
	text_height = Dsp.title.height + Dsp.label_1.height + Dsp.label_2.height + Unit(text_padding * 2, PX)
	Dsp.labels.height = text_height
	set_display()

def set_gaugesize():
	global gauge_width, gauge_height
	Dsp.gauge.width = Unit(gauge_width, PX)
	Dsp.gauge.height = Unit(gauge_height, PX)
	Dsp.background.width = Unit(gauge_width, PX)
	Dsp.background.height = Unit(gauge_height, PX)
	Dsp.border.width = Unit(gauge_width, PX)
	Dsp.border.height = Unit(gauge_height, PX)
	Dsp.glass.width = Unit(gauge_width, PX)
	Dsp.glass.height = Unit(gauge_height, PX)
	Dsp.decoration.width = Unit(gauge_width, PX)
	Dsp.decoration.height = Unit(gauge_height, PX)
	set_display()

def set_gaugepos(anchor, x, y):
	Dsp.gauge.anchor = Dsp.background.anchor = Dsp.border.anchor = Dsp.glass.anchor = Dsp.decoration.anchor = anchor
	Dsp.gauge.x = Dsp.background.x = Dsp.border.x = Dsp.glass.x = Dsp.decoration.x = x
	Dsp.gauge.y = Dsp.background.y = Dsp.border.y = Dsp.glass.y = Dsp.decoration.y = y

def redraw_display():
	set_textsize()
	set_gaugesize()
	set_positions()

def set_desktop():
	global desktop_horiz_active, desktop_vert_active, desktop_horiz_px, desktop_vert_px
	if desktop_horiz_active:
		h = Unit(desktop_horiz_px, PX)
	else:
		h = Unit()
	if desktop_vert_active:
		v = Unit(desktop_vert_px, PX)
	else:
		v = Unit()
	Dsp.win.desktop_borders = [v, h]		
